> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/geopard-api-requests-overview/49.-query-get-gridded-data-from-fieldsatelliteimage.md).

# 49. Vaicājums: saņemt režģotos datus no "FieldSatelliteImage"

Vaicājums režģotu datu iegūšanai no rastra datu kopas, kas saistīta ar "FieldSatelliteImage", kā `GEOJSON` ar punktiem vai `GEOTIFF`. Atribūts properties ir atkarīgs no pakalpojumu sniedzēja un parasti katram punktam/pikselim satur sākotnējos pakalpojumu sniedzēja datus (piemēram, RED, GREEN, BLUE, NIR un pat Clear Land). Plašāku informāciju par eksportēto failu var atrast [ŠEIT](https://docs.geopard.tech/geopard-tutorials/lva/produkta-apskats-timekla-lietotne/export-download/satellite-imagery-export-as-geotiff-or-geojson.md).

#### 1. Pieprasiet eksportējamu failu

{% hint style="danger" %}
Ieteicams katrā pieprasījumā izgūt tikai vienu datu kopu, izmantojot `sourceDataUrl` .
{% endhint %}

`NoBuffer`, `PlusOnePixel`, `PlusTwoPixels`, `MinusOnePixel`, un `MinusTwoPixels` ir pieejami kā `buffer`.

`GEOJSON` un `GEOTIFF` ir pieejami kā formāti.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetGriddedDataFromSatelliteImage {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      satelliteImages(satelliteImageUuids: ["<placeholder_of_satelliteimage_uuid>"]) {
        satelliteImage {
          uuid
          acquisitionDate
          provider
        }
        sourceDataUrl(format: GEOJSON buffer: PlusTwoPixels)
      }
    }
  }
}
```

{% endcode %}

#### 2. Lejupielādējiet ģenerēto failu

Kad fails ir veiksmīgi sagatavots, to var lejupielādēt, izmantojot `curl` vai līdzīgu paņēmienu.

{% hint style="danger" %}
`sourceDataUrl` saite ir pieejama tikai **60 sekundes.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<sourceDataUrl>' --compressed >> '<local_filepath>'
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/geopard-api-requests-overview/49.-query-get-gridded-data-from-fieldsatelliteimage.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
